{% extends "./index.html" %}
{% load static %}
{% block contenido %}
    <div class="container">
        <div class="row">
            <div class="col-md-3">
                <h1 class="text-center blanco-text">Nuevo Detalle</h1>
                <form action="/guardarDetalle/" method="post" enctype="multipart/form-data" id="frm_nuevo_detalle">
                    {% csrf_token %}
                    <div class="mb-3">
                        <label for="id_plt" class="form-label blanco-text">Platillo:</label>
                        <select class="form-control" name="id_plt" id="id_plt" required>
                            <option value="">--Seleccione el Platillo--</option>
                            {% for platillo in platillos %}
                                <option value="{{platillo.id_bf}}">{{platillo.nombre_bf}}</option>
                            {% endfor %}
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="id_pd" class="form-label blanco-text">Pedido:</label>
                        <select class="form-control" name="id_pd" id="id_pd" required>
                            <option value="">--Seleccione el Pedido--</option>
                            {% for pedido in pedidos %}
                                <option value="{{pedido.id_bf}}">{{pedido.estado_bf}}</option>
                            {% endfor %}
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="descuento_bf" class="form-label blanco-text">Descuento:</label>
                        <input type="number" name="descuento_bf" id="descuento_bf" class="form-control" placeholder="Ingrese el Descuento" step="0.01" required>
                    </div>
                    <div class="mb-3">
                        <label for="impuesto_bf" class="form-label blanco-text">Impuesto:</label>
                        <input type="number" name="impuesto_bf" id="impuesto_bf" class="form-control" placeholder="Ingrese el Impuesto" step="0.01" required>
                    </div>
                    <div class="mb-3">
                        <label for="total_bf" class="form-label blanco-text">Total:</label>
                        <input type="number" name="total_bf" id="total_bf" class="form-control" placeholder="Ingrese el Total" step="0.01" required>
                    </div>
                    <div class="mb-3">
                        <label for="fecha_creacion_bf" class="form-label blanco-text">Fecha de Creación:</label>
                        <input type="date" name="fecha_creacion_bf" id="fecha_creacion_bf" class="form-control" placeholder="Ingrese la Fecha de Creación" required>
                    </div>
                    <div class="text-center">
                        <button type="submit" class="btn btn-primary">Guardar</button>
                        <button type="reset" class="btn btn-danger">Cancelar</button>
                    </div>
                </form>
            </div>
            <div class="col-md-9">
                <br>
                <h1 class="text-center blanco-text">LISTADO DE LOS DETALLES</h1>
                <table class="table" id="tbl_detalle">
                    <div class="d-flex justify-content-center">
                        <img src="{% static 'img/vet.png' %}" alt="mi imagen" width="150px">
                    </div>
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>DESCUENTO</th>
                            <th>IMPUESTO</th>
                            <th>TOTAL</th>
                            <th>FECHA DE CREACIÓN</th>
                            <th>PLATILLO</th>
                            <th>PEDIDO</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for detalle in detalles %}
                            <tr>
                                <td>{{detalle.id_bf}}</td>
                                <td>{{detalle.descuento_bf}}</td>
                                <td>{{detalle.impuesto_bf}}</td>
                                <td>{{detalle.total_bf}}</td>
                                <td>{{detalle.fecha_creacion_bf}}</td>
                                <td>{{detalle.platillo.nombre_bf}}</td>
                                <td>{{detalle.pedido.estado_bf}}</td>
                                <td>
                                    <a href="/editarDetalle/{{detalle.id_bf}}" class="btn btn-warning">Editar</a>
                                    <a href="javascript:void(0)" class="btn btn-danger" onclick="eliminarDetalle('/eliminarDetalle/{{detalle.id_bf}}');">Borrar</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function eliminarDetalle(url){
            iziToast.question({
                timeout: 15000,
                close: true,
                overlay: true,
                displayMode: 'once',
                id: 'question',
                zindex: 999,
                title: 'CONFIRMACIÓN',
                message: '¿Está seguro de eliminar el detalle seleccionado?',
                position: 'center',
                buttons: [
                    ['<button><b>SI</b></button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                        window.location.href=url;
                    }, true],
                    ['<button>NO</button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    }],
                ]
            });
        }
    </script>

    <script type="text/javascript">
        $("#frm_nuevo_detalle").validate({
            rules:{
                "id_plt":{
                    required:true
                },
                "id_pd":{
                    required:true
                },
                "descuento_bf":{
                    required:true,
                    number:true
                },
                "impuesto_bf":{
                    required:true,
                    number:true
                },
                "total_bf":{
                    required:true,
                    number:true
                },
                "fecha_creacion_bf":{
                    required:true
                }
            },
            messages:{
                "id_plt":{
                    required:"Por favor seleccione un Platillo"
                },
                "id_pd":{
                    required:"Por favor seleccione un Pedido"
                },
                "descuento_bf":{
                    required:"Por favor ingrese un Descuento",
                    number:"Ingrese solo números"
                },
                "impuesto_bf":{
                    required:"Por favor ingrese un Impuesto",
                    number:"Ingrese solo números"
                },
                "total_bf":{
                    required:"Por favor ingrese un total",
                    number:"Ingrese solo números"
                },
                "fecha_creacion_bf":{
                    required:"Debe ingresar una fecha válida"
                }
            }
        });
    </script>

    <script type="text/javascript">
           //let table = new DataTable('#tbl_clientes');
           $(document).ready(function() {
               $('#tbl_detalle').DataTable({
                   dom: 'Bfrtip',
                   language: {
                     url: '//cdn.datatables.net/plug-ins/1.13.7/i18n/es-ES.json',
                   },
                   buttons: [
                       {
                           extend: 'pdfHtml5',
                           text: '<i class="fa fa-file-pdf-o"></i> PDF',
                           titleAttr: 'Exportar a PDF',
                           className: 'btn btn-danger', // Clase de estilo para el botón
                           title: 'LISTADO DETALLES'
                       },
                       {
                           extend: 'print',
                           text: '<i class="fa fa-print"></i> Imprimir',
                           titleAttr: 'Imprimir',
                           className: 'btn btn-primary' // Clase de estilo para el botón
                       },
                       {
                           extend: 'csv',
                           text: '<i class="fa fa-file-text-o"></i> CSV',
                           titleAttr: 'Exportar a CSV',
                           className: 'btn btn-success' // Clase de estilo para el botón
                       }
                   ]
               });
           });

          </script>
{% endblock %}
